WordPress.org

Ready to get started?Download WordPress

Forums

RSS error, which file to fix? (9 posts)

  1. apek
    Member
    Posted 8 years ago #

    i got this error:

    XML Parsing Error: xml declaration not at start of external entity
    Location: http://www.bloggertips.com/index.php/feed/
    Line Number 2, Column 1:
    <?xml version="1.0" encoding="UTF-8"?>
    ^

    But it didn't state which file that contains the error, how to fix this?

  2. yami
    Member
    Posted 8 years ago #

    Looks like a blank line at the beginning of the file. Probably it's wp-rss2.php, but you might also check wp-rss.php, wp-commentsrss2.php, wp-rdf.php, or wp-atom.php.

  3. apek
    Member
    Posted 8 years ago #

    it can't be...i replace all the files you stated with the files from my other blog which dont have this problem, but it still the same...

  4. Mark (podz)
    Support Maven
    Posted 8 years ago #

    It could well be a plugin.
    Try deactivating them one by one - but the feed is not updated unless you post so you may need to make a few test posts.

    Alternately, it could be a glitch of unknown origin - they happen with this error and it could just go away.

    Subscribe to your own feed. If you can read it, don't worry.

  5. sportsBabel
    Member
    Posted 8 years ago #

    FWIW, I had been getting this error:

    XML Parsing Error: xml declaration not at start of external entity
    Location: http://www.sportswebconsulting.ca/sportsbabel/index.php/feed/
    Line Number 1, Column 5: <?xml version="1.0" encoding="UTF-8"?>
    ----^

    And it went away when I deactivated the Amazon Media Manager plugin...don't know if that is any use to you or not.

  6. halsnalle
    Member
    Posted 8 years ago #

    Got the same problem. Tried deactivating all plugins, but it didn't help.

    Strange, though, because the feeds work in Bloglines and when I look at the source code, the xml declaration is there!

    `<?xml version="1.0" encoding="UTF-8"?>
    <!-- generator="wordpress/2.0.2" -->
    <rss version="2.0"
    xmlns:content="http://purl.org/rss/1.0/modules/content/"
    xmlns:wfw="http://wellformedweb.org/CommentAPI/"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    >

  7. halsnalle
    Member
    Posted 8 years ago #

    One of my readers told me that we have an error because the xml declaration is not on the very first line, but on the second.

    I've tried editing wp-rss2.php to get rid of the extra line, but there's actually nothing to take away. I guess the line is inserted from somewhere else. Uh, any clues where?

  8. ebaltz
    Member
    Posted 8 years ago #

    I am having the exact same issue. Getting this error, and can't figure out what is causing it. It crashes out like described in Firefox. In IE it displays the complete XML, but my feed reader can't read it.

  9. nikhilgupte
    Member
    Posted 8 years ago #

    This would most likely be dur to a "SPACE" or a "LINE BREAK" within your plugins/functions.php

    I had mine in between two functions.

    <?php } ?>

    <?php

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags